/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include <memory>

#include "Base/IGraphicsApp.hpp"

namespace OpenVulkano
{
	class MovingCubeApp : public IGraphicsApp
	{
	public:
		static std::unique_ptr<IGraphicsApp> CreateUnique();
		static IGraphicsApp* Create();

		std::string GetAppName() const final { return "Moving Cube App"; }
		OpenVulkano::Version GetAppVersion() const final { return {"v1.0"}; }
	};
}